#/**
#         ogr CompareChecksumFiles [ str_repo | int_ndisk int_nfilesys ] path_source [ str_repo | int_ndisk int_nfilesys ] path_target
#@brief   Metafunción que compara las sumas de comprobación almacenadas de 2 ficheros.
#@return  bool_compare   Valor de comparación.
#@warning No es necesario especificar la extensión \c .sum
#@version 0.9.2 - Primera versión para OpenGnSys.
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    2010-07-24
#*/ ##
# Variables locales.
local ARGS SOURCE TARGET
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME [ str_repo | int_ndisk int_nfilesys ] path_source [ str_repo | int_ndisk int_nfilesys ] path_target" \
           "if $FUNCNAME REPO ubuntu.img CACHE ubuntu.img; then ... fi"
    return
fi

ARGS="$@"
case "$1" in
    /*)     # Camino completo.          */ (Comentrio Doxygen)
        SOURCE=$(ogr GetPath "$1")
        shift ;;
    [1-9]*) # ndisco npartición.
        SOURCE=$(ogr GetPath "$1" "$2" "$3")
        shift 3 ;;
    *)      # Otros: repo, cache, cdrom (no se permiten caminos relativos).
        SOURCE=$(ogr GetPath "$1" "$2")
        shift 2 ;;
esac
TARGET=$(ogr GetPath "$@")
 
# Comparar los ficheros de checksum.
test "$(cat "$SOURCE.sum" 2>/dev/null)" == "$(cat "$TARGET.sum" 2>/dev/null)"
